<?php

namespace xenarabia\ThreadsStamp\XF\Entity;


use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

class Thread extends XFCP_Thread{

    public static function getStructure(Structure $structure)
    {
        $structure = parent::getStructure($structure);

		$structure->columns += [
			'xa_stamp_id' => ['type' => self::UINT, 'default' => 0]
		];
        $structure->relations += [
			'Stamps' => [
				'entity' => 'xenarabia\ThreadsStamp:StampsEntity',
				'type' => self::TO_ONE,
				'conditions' => [['s_id', '=', '$xa_stamp_id']],
				'primary' => true
			],
		];

		return $structure;
    }
}